Loading...
Searching...
No Matches
Magick::floodFillAlphaImage Class Reference

## Public Member Functions

| floodFillAlphaImage (const ::ssize_t x_, const ::ssize_t y_, const unsigned int alpha_, const Color &target_, const bool invert_=false)
void | operator() (Image &image_) const

## Private Attributes

Color | _target
unsigned int | _alpha
::ssize_t | _x
::ssize_t | _y
bool | _invert

## Detailed Description

Definition at line 460 of file STL.h.

## Constructor & Destructor Documentation

## floodFillAlphaImage()

Magick::floodFillAlphaImage::floodFillAlphaImage | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const unsigned int | alpha_,
|  | const Color & | target_,
|  | const bool | invert_ = `false`
| ) |  |

Definition at line 407 of file STL.cpp.

: _target(target_),
_alpha(alpha_),
_x(x_),
_y(y_),
_invert(invert_)
{
}

## Member Function Documentation

## operator()()

void Magick::floodFillAlphaImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 418 of file STL.cpp.

{
image_.floodFillAlpha(_x,_y,_alpha,_target,_invert);
}

## Field Documentation

## _alpha

unsigned int Magick::floodFillAlphaImage::_alpha

private

Definition at line 471 of file STL.h.

## _invert

bool Magick::floodFillAlphaImage::_invert

private

Definition at line 474 of file STL.h.

## _target

Color Magick::floodFillAlphaImage::_target

private

Definition at line 470 of file STL.h.

## _x

::ssize_t Magick::floodFillAlphaImage::_x

private

Definition at line 472 of file STL.h.

## _y

::ssize_t Magick::floodFillAlphaImage::_y

private

Definition at line 473 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp